%define lazarus_version	2.0.10-2

%define major	1
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:		qt5pas
Version:	2.6
%define subrel 1
Release:	%mkrel 4
Summary:	Qt5 bindings for pascal
License:	LGPLv3+
Group:		System/Libraries
Url:		https://github.com/graemeg/lazarus/tree/upstream/lcl/interfaces/qt5/cbindings
Source0:	https://download.sourceforge.net/lazarus/lazarus-%{lazarus_version}.tar.gz

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)

%description
Qt5 bindings for pascal from Lazarus.

#----------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Free Pascal Qt5 binding
Group:		System/Libraries

%description -n	%{libname}
The Free Pascal Qt5 binding that allows Free Pascal
to interface with the C++ Library Qt.

%files -n %{libname}
%doc lcl/interfaces/qt5/cbindings/COPYING.TXT
%doc lcl/interfaces/qt5/cbindings/README.TXT
%{_libdir}/libQt5Pas.so.%{major}{,.*}

#----------------------------------------------------------------------------

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{devname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.

%files -n %{devname}
%doc lcl/interfaces/qt5/cbindings/COPYING.TXT
%doc lcl/interfaces/qt5/cbindings/README.TXT
%{_libdir}/libQt5Pas.so

#----------------------------------------------------------------------------

%prep
%setup -qn lazarus

%build
pushd lcl/interfaces/qt5/cbindings/
	%qmake_qt5
	%make_build
popd

%install
pushd lcl/interfaces/qt5/cbindings/
	%make_install INSTALL_ROOT=%{buildroot}
popd


%changelog
* Tue Sep 14 2021 wally <wally> 2.6-4.1.mga8
+ Revision: 1745458
- rebuild from lazarus 2.0.10-2, same version as shipped with mga8 (mga#29457)

* Thu Dec 17 2020 umeabot <umeabot> 2.6-4.mga8
+ Revision: 1659563
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 2.6-3.mga8
+ Revision: 1525010
- Mageia 8 Mass Rebuild

* Mon Apr 01 2019 umeabot <umeabot> 2.6-2.mga7
+ Revision: 1384308
- Qt5 Rebuild

* Mon Oct 29 2018 daviddavid <daviddavid> 2.6-1.mga7
+ Revision: 1326472
- initial package qt5pas

